$(function(){
    $.switcher();
});

chrome.storage.local.get("status", function(result) {
    if (result.status == 1) {
        enableExtension();
    } else {
        disableExtension();
    }
})

$("#toggleSwitch").change(function() {
    chrome.storage.local.get("status", function(result) {
        if (result.status == 1) {
            chrome.storage.local.set({"status": 0}, null);
            disableExtension();
        } else {
            chrome.storage.local.set({"status": 1}, null);
            enableExtension();
        }
    });
    toggleExtension();
});

// functions
function enableExtension() {
    $("#toggleSwitch").prop('checked', true);
    $("#toggleText").css("left", '291px');
    $("h3").css("color", '#FFFFFF')
    $(".red").css("color", '#FFE817');
    ["r", "s", "d", "v"].map(function(item) {
        $(`.${item}-btn`).attr("src", `/popup-icons/${item}-button.svg`);
    });
}

function disableExtension() {
    $("#toggleSwitch").prop('checked', false);
    $("#toggleText").css("left", '288px');
    $("h3").css("color", '#FFFFFF');
    $(".red").css("color", '#BBBBBB');
    ["r", "s", "d", "v"].map(function(item) {
        $(`.${item}-btn`).attr("src", `/popup-icons/${item}-button-disabled.svg`);
    });
}

function toggleExtension() {
    chrome.runtime.sendMessage({type: "toggle_ext"}, function(response) {
        var error = chrome.runtime.lastError;
    });
}